Summary: library for accessing SMB password database
Name: libsmbpw
Version: 1.3
Release: 9tr
License: distributable
Group: Trustix Official
Source: http://www.pergamentum.com/~atp/software/libsmb/%{name}-%{version}.tar.gz
Patch0: libsmbpw-1.1.prototype.fix
BuildRoot: /var/tmp/%{name}-buildroot/

%description

libsmbpw is a small library that provides a getpwent/putpwent/endpwent
set of routines to read and write entries in the samba encrypted password
file (smbpasswd). It is based on samba code from samba 2.0.5a, but does
not need samba to compile.

%prep
%setup -q
%patch0 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -DLINUX"

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
cp -af *.so $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
cp -af *.3 $RPM_BUILD_ROOT/%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT/%{_includedir}
cp -af smbpwd.h $RPM_BUILD_ROOT/%{_includedir}


%files
%defattr(-,root,root,0755)
%{_libdir}/*
%{_includedir}/*
%doc %{_mandir}/man3/*
%doc README

%changelog
* Thu Mar 17 2005 Bipin S  <bipin at comodo dot com> 1.3-8tr
- Rebuilt

* Fri Dec 12 2003 Erlend Midttun <erlendbm at trustix dot org> 1.3-5tr
- Big rebuild

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.3-4tr
- Make %%setup quiet.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.3-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.1-2em
- Rebuilt against glibc 2.3.2.

* Sat Sep 28 2002 Gerald Dachs <gda at trustix dot org> 1.1-1gd
- New package

